Get Information on Completed Orders
http
GET /api/v3/dbs/ordersBase URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Assembly Orders · Specification doc ↗
Returns information on completed orders (either canceled or sold). You can get data for a specified period, maximum of 30 calendar days per request.
Request limit per one seller account for DBS assembly orders methods:
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests. |
In Sandbox — maximum of 1 request per second for all Marketplace methods in total.
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
dateFrom | query | integer<int64> | yes | Period start date in Unix timestamp format |
dateTo | query | integer<int64> | yes | Period end date in Unix timestamp format |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | GetV3DbsOrdersResponse200 |
400 | Bad request | Error |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | Error |
429 | Too many requests | object |
Structure 200:
nextNextordersOrderDBS[]addressobject— When delivering orders to a pickup point, the address of the pickup point is specifiedfullAddressstring— Delivery addresslongitudenumber<float64>— Longitudelatitudenumber<float64>— Latitude
deliveryTypestring— Delivery type: -dbs— Delivery By Seller -dbsPickupPoint— Delivery By Seller to Pickup Point -edbs— Express Delivery By Selleroptionsobject— Order optionsisB2bboolean— Indicator of a B2B sale: -false— not B2B sale -true— B2B sale
orderUidstring— Transaction ID for order grouping. Orders in the same buyer's cart will have the sameorderUid.groupIdstring<UUID>— Assembly order group ID. It unites assembly orders received at a single warehouse (warehouseId) as part of a single buyer transaction (orderUid)articlestring— Seller item numbercolorCodestring— Color code (for tinted items only)ridobject— Unique order ID. Note:ridcorresponds tosridin the responses of the methods: - Buyers Return Applications - Order Feed - Orders - Sales - Returns and Item Movement Report - Details for the Sales Reports by Report ID - Details for the Sales Reports by Period - Details for the Acquiring Expenses Reports by Report ID - Details for the Acquiring Expenses Reports by PeriodcreatedAtstring— Order creation dateskusstring[]— Item SKU arrayidinteger<int64>— Assembly order IDwarehouseIdinteger<int64>— Seller warehouse ID where the order was received.nmIdinteger<int64>— WB item numberchrtIdinteger<int64>— Item size ID in WB systemsscanPriceinteger<int64>— Acceptance price for orders to a pickup point, in kopecks. Displayed only for orders to a pickup pointpriceinteger<int64>— The price in the currency of sale including all discounts, except WB Wallet discount, multiplied by 100. You can find a currency code in thecurrencyCode. Provided for informational purposes onlyconvertedPriceinteger<int64>— The price in the currency of the seller country including all discounts, except WB Wallet discount, multiplied by 100. Provided for informational purposes onlycurrencyCodeinteger<ISO 4217>— Sale currency codeconvertedCurrencyCodeinteger<ISO 4217>— Currency code of the seller countryconvertedFinalPriceinteger<int64>— The sum charged to the buyer in the currency of the seller country including all discounts, multiplied by 100. Provided for informational purposes only. Use the value of theconvertedFinalPricefield only if the response of the method for getting seller prices and amounts charged to the buyer returned"data": null. In all other cases, use the value of theconvertedOriginalFinalPricefield from the response of the specified methodfinalPriceinteger<int64>— The sum charged to the buyer in the currency of sale including all discounts, multiplied by 100. You can find a currency code in thecurrencyCodefield. Provided for informational purposes only. Use the value of thefinalPricefield only if the response of the method for getting seller prices and amounts charged to the buyer returned"data": null. In all other cases, use the value of theoriginalFinalPricefield from the response of the same methodcargoTypeinteger<int64>=1|2|3— Type of cargo: -1— small-sized items -2— over dimensional cargo (ODC) -3— dimensional cargo+ (CD+)commentstring— Buyer commentisZeroOrderboolean— Indicator of an order for a item with zero inventory: -false— the order is made for a item with a non-zero inventory -true— the order is made for a item with zero inventory. Such an order can be canceled without a cancellation feewbStickerIdinteger<int64>— Sticker ID. Only displayed for orders to pickup point
Structure 400:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
codestring— Error codemessagestring— Error descriptiondataobject— Additional data for the error
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi
cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))
result = api.get_v3_dbs_orders(limit=..., next=..., date_from=..., date_to=...)
print(result)ts
import {
Configuration,
DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);
const { data } = await api.getV3DbsOrders(limit, next, dateFrom, dateTo);
console.log(data);go
import (
"context"
"fmt"
wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)
cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)
result, _, err := client.DbsAPI.GetV3DbsOrders(context.Background()).DateFrom(dateFrom).DateTo(dateTo).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);
System.out.println(api.getV3DbsOrders(limit, next, dateFrom, dateTo));php
use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);
print_r($api->getV3DbsOrders($limit, $next, $date_from, $date_to));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);
Сообщить(Клиент.GetV3DbsOrders(limit, next, dateFrom, dateTo).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);
Console.WriteLine(api.GetV3DbsOrders(limit, next, dateFrom, dateTo));rust
use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = dbs_api::get_v3_dbs_orders(&cfg, limit, next, date_from, date_to).await;
println!("{:#?}", result);
}